Bug 129519 - Crash when using two or more documents from the same WebDAV server
Summary: Crash when using two or more documents from the same WebDAV server
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords:
Depends on:
Blocks: WebDAV
  Show dependency treegraph
 
Reported: 2019-12-20 14:44 UTC by Thorsten Behrens (CIB)
Modified: 2020-01-13 16:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace (1.23 KB, text/plain)
2019-12-20 15:01 UTC, Thorsten Behrens (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2019-12-20 14:44:07 UTC
Open more than one document from the same WebDAV server. Set session timeout to something small enough, wait for timeout to hit.

First document will then invalidate session in ah_post_send, second document crash while accessing nullptr below auth_challenge().

The code is windows-only, change came into neon library via:

r1856 | joe | 2011-09-18 21:58:06 +0200 (Sun, 18 Sep 2011) | 3 lines

* src/ne_auth.c (continue_sspi, auth_register): Use the proxy hostname
  for proxy auth with SSPI.
Comment 1 Thorsten Behrens (CIB) 2019-12-20 15:01:18 UTC
Created attachment 156695 [details]
Backtrace
Comment 2 Commit Notification 2019-12-20 21:09:21 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df52a213277827a16793791fecc33139582c84c2

tdf#129519 Fix crash during WebDAV lock refresh

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-12-21 08:33:51 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/da9a2f68b5b7d17c0d066f2221f16ea443f2b9d5

tdf#129519 Fix crash during WebDAV lock refresh

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-01-08 11:19:12 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/4d9305d0645bd73916d21894ad86ee5260a8d240

tdf#129519 Fix crash during WebDAV lock refresh

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.